<?php
/**
 * Template Name: Home Custom Page
 */
?>

<?php do_action( 'finance_accounting_before_slider' ); ?>

<?php if( get_theme_mod('finance_accounting_slider_hide') != ''){ ?>
  <section id="slider-section">
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
      <?php $pages = array();
          for ( $count = 1; $count <=4; $count++ ) {
            $mod = intval( get_theme_mod( 'finance_accounting_slide_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $pages[] = $mod;
            }
          }
          if( !empty($pages) ) :
          $args = array(
              'post_type' => 'page',
              'post__in' => $pages,
              'orderby' => 'post__in'
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
      ?>     
      <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <img src="<?php the_post_thumbnail_url('full'); ?>"/>
              <div class="carousel-caption">
                <div class="inner_carousel">
                    <h2><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title();?></a></h2>
                    <hr class="slide">
                    <p><?php $excerpt = get_the_excerpt(); echo esc_html( finance_accounting_string_limit_words( $excerpt,25 ) ); ?></p> 
                    <div class="slide-button">
                      <a href="<?php echo esc_url( get_permalink() );?>"><?php esc_html_e( 'READ MORE','finance-accounting' ); ?></a>
                    </div> 
                </div>
              </div>
          </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
      </div>
      <?php else : ?>
      <div class="no-postfound"></div>
        <?php endif;
      endif;?>
      <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-angle-left"></i></span>
      </a>
      <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-angle-right"></i></span>
      </a>
    </div>
    <div class="clearfix"></div>
  </section>
<?php }?>

<?php do_action( 'finance_accounting_after_slider' ); ?>

<?php if( get_theme_mod('finance_accounting_section_title') != '' || get_theme_mod('finance_accounting_section_text') != '' || get_theme_mod('finance_accounting_blogcategory_setting') != ''){ ?>
  <section id="services">
    <div class="container">
      <h2><?php echo esc_html(get_theme_mod('finance_accounting_section_title','')); ?></h2>
      <p class="service-title"><?php echo esc_html(get_theme_mod('finance_accounting_section_text','')); ?></p>
      <div class="row">
        <?php 
          $catData=  get_theme_mod('finance_accounting_blogcategory_setting');
          if($catData){
            $page_query = new WP_Query(array( 'category_name' => esc_html( $catData ,'finance-accounting')));?>
          <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
            <div class="col-lg-4 col-md-4">
              <div class="trainerbox">
                <div class="abt-img-box"><?php if(has_post_thumbnail()) { ?><?php the_post_thumbnail(); ?><?php } ?></div>
              </div>
              <a href="<?php the_permalink(); ?>"><h5><?php the_title(); ?></h5></a>
              <p><?php the_excerpt(); ?></p>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        }
        ?>
        <div class="clearfix"></div>
      </div>
    </div>
  </section>
<?php }?>

<?php do_action( 'finance_accounting_after_services' ); ?>

<?php get_footer(); ?>